DAOTrackImpl

com.j0h1.contour.server.dao.impl

## Class DAOTrackImpl

- java.lang.Object
- - com.j0h1.contour.server.dao.AbstractDAO
  - - com.j0h1.contour.server.dao.impl.DAOTrackImpl

- All Implemented Interfaces:
    DAOTrack

      public class DAOTrackImpl
      extends AbstractDAO
      implements DAOTrack

  Implementations for DAOTrack.
  Author:
    Johannes Riedmann

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.sql.Connection` | `connection`
    `private DatabaseManager` | `dbm`
    `private java.sql.PreparedStatement` | `prep`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DAOTrackImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<Track>` | `findAll(java.lang.String language)` This method returns all non-deleted tracks in a certain language.

    - ### Methods inherited from class com.j0h1.contour.server.dao.AbstractDAO

      `closeConnection, openConnection, setAutoCommit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connection

          private java.sql.Connection connection

    - #### prep

          private java.sql.PreparedStatement prep

    - #### dbm

          private DatabaseManager dbm

  - ### Constructor Detail

    - #### DAOTrackImpl

          public DAOTrackImpl()

  - ### Method Detail

    - #### findAll

          public java.util.ArrayList<Track> findAll(java.lang.String language)
                                             throws DAOTrackException

      Description copied from interface: `DAOTrack`
      This method returns all non-deleted tracks in a certain language.
      Specified by:
        `findAll` in interface `DAOTrack`
      Parameters:
        `language` - Language code ("en"/"de") to define the language the track names are returned in.
      Returns:
        List of all non-deleted tracks defined in the database. If no tracks are persisted, an empty list is returned.
      Throws:
        `DAOTrackException`